import request from '@/utils/request'

// 查询生产过程检验任务列表
export function listQcProduce(query) {
	return request({
		url: '/quality/qcProduce/list',
		method: 'get',
		params: query
	});
}

// 查询生产过程检验任务详细
export function getQcProduce(recordId) {
	return request({
		url: '/quality/qcProduce/' + recordId,
		method: 'get'
		});
}

// 新增生产过程检验任务
export function addQcProduce(data) {
	return request({
		url: '/quality/qcProduce',
		method: 'post',
		data: data
	});
}

// 修改生产过程检验任务
export function updateQcProduce(data) {
	return request({
		url: '/quality/qcProduce',
		method: 'put',
		data: data
	});
}

// 删除生产过程检验任务
export function delQcProduce(recordId) {
	return request({
		url: '/quality/qcProduce/' + recordId,
		method: 'delete'
	});
}

// 查询工作中心列表
export function getQcListWorkCenter(query) {
	return request({
	  url: '/quality/qcProduce/getQcListWorkCenter',
	  method: 'get',
	  params: query
	});
  }

// 查询检测类型列表
export function getCheckTypes(typeCode) {
	const data = {
		typeCode
	}
	return request({
	  url: '/quality/qcProduce/getCheckTypes',
	  method: 'put',
	  data: data
	});
  }  
  

//状态修改
export function changeProduceStatus(recordId, status) {
	const data = {
		recordId,
	    status
	}
	return request({
	  url: '/quality/qcProduce/changeProduceStatus',
	  method: 'put',
	  data: data
	})
  }
